ValidationSupport (Grails 6.0.0)

Package: org.grails.web.plugins.support

## [Groovy] Class ValidationSupport

- org.grails.web.plugins.support.ValidationSupport

-     class ValidationSupport
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static org.grails.datastore.gorm.support.BeforeValidateHelper` | `beforeValidateHelper` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static org.grails.datastore.gorm.support.BeforeValidateHelper` | `beforeValidateHelper`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ValidationSupport ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.util.Map<java.lang.String, Constrained>` | `getConstrainedPropertiesForClass(java.lang.Class<?> clazz, boolean defaultNullable)`
    `` | `private static java.util.Map<java.lang.String, Constrained>` | `getObjectConstraints(java.lang.Object object)`
    `` | `static boolean` | `validateInstance(java.lang.Object object, java.util.List fieldsToValidate)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final org.grails.datastore.gorm.support.BeforeValidateHelper beforeValidateHelper

  - ### Property Detail

    - #### static final org.grails.datastore.gorm.support.BeforeValidateHelper beforeValidateHelper

  - ### Constructor Detail

    - #### ValidationSupport()

  - ### Method Detail

    - #### @groovy.transform.CompileStatic static java.util.Map<java.lang.String, Constrained> getConstrainedPropertiesForClass(java.lang.Class<?> clazz, boolean defaultNullable)

    - #### @groovy.transform.CompileDynamic private static java.util.Map<java.lang.String, Constrained> getObjectConstraints(java.lang.Object object)

    - #### static boolean validateInstance(java.lang.Object object, java.util.List fieldsToValidate)